clang 8.0.0

Static Public Member Functions | List of all members
llvm::DenseMapInfo< clang::BaseSubobject > Struct Template Reference

`#include "clang/AST/BaseSubobject.h"`

## Static Public Member Functions
static clang::BaseSubobject | getEmptyKey ()
static clang::BaseSubobject | getTombstoneKey ()
static unsigned | getHashValue (const clang::BaseSubobject &Base)
static bool | isEqual (const clang::BaseSubobject &LHS, const clang::BaseSubobject &RHS)

## Detailed Description

### template<>
struct llvm::DenseMapInfo< clang::BaseSubobject >

Definition at line 58 of file BaseSubobject.h.

## Member Function Documentation

## ◆ getEmptyKey()

static clang::BaseSubobject llvm::DenseMapInfo< clang::BaseSubobject >::getEmptyKey | ( |  | ) |
| inline static

Definition at line 59 of file BaseSubobject.h.

References clang::CharUnits::fromQuantity().

## ◆ getHashValue()

static unsigned llvm::DenseMapInfo< clang::BaseSubobject >::getHashValue | ( | const clang::BaseSubobject & | Base | ) |
| inline static

Definition at line 71 of file BaseSubobject.h.

References clang::BaseSubobject::getBase(), and clang::BaseSubobject::getBaseOffset().

## ◆ getTombstoneKey()

static clang::BaseSubobject llvm::DenseMapInfo< clang::BaseSubobject >::getTombstoneKey | ( |  | ) |
| inline static

Definition at line 65 of file BaseSubobject.h.

References clang::CharUnits::fromQuantity().

## ◆ isEqual()

static bool llvm::DenseMapInfo< clang::BaseSubobject >::isEqual | ( | const clang::BaseSubobject & | LHS,
|  | const clang::BaseSubobject & | RHS
| ) |  |
| inline static

Definition at line 78 of file BaseSubobject.h.

The documentation for this struct was generated from the following file:

- include/clang/AST/BaseSubobject.h